Bug 683445 - Backport upstream cacheing fix for optimizing reads from /proc/vmcore [rhel-6.0.z]
Summary: Backport upstream cacheing fix for optimizing reads from /proc/vmcore [rhel-6...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 641315
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-09 12:30 UTC by RHEL Product and Program Management
Modified: 2018-11-14 15:57 UTC (History)
13 users (show)

Fixed In Version: kernel-2.6.32-71.20.1.el6
Doc Type: Bug Fix
Doc Text:
Reading the /proc/vmcore file on a Red Hat Enterprise Linux 6 system was not optimal because it did not always take advantage of reading through the cached memory. With this update, access to the /dev/oldmem device in the /proc/vmcore file is cached, resulting in faster copying to user space.
Clone Of:
Environment:
Last Closed: 2011-04-08 02:59:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0421 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-08 02:56:45 UTC

Description RHEL Product and Program Management 2011-03-09 12:30:43 UTC
This bug has been copied from bug #641315 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 6 errata-xmlrpc 2011-04-08 02:59:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0421.html

Comment 7 Martin Prpič 2011-04-12 12:44:11 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Reading the /proc/vmcore file on a Red Hat Enterprise Linux 6 system was not optimal because it did not always take advantage of reading through the cached memory. With this update, access to the /dev/oldmem device in the /proc/vmcore file is cached, resulting in faster copying to user space.


Note You need to log in before you can comment on or make changes to this bug.